List messages
curl --request GET \
--url https://api.ledgerbeam.com/v1/chats/threads/{thread_id}/messages \
--header 'API-KEY: <api-key>'import requests
url = "https://api.ledgerbeam.com/v1/chats/threads/{thread_id}/messages"
headers = {"API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'API-KEY': '<api-key>'}};
fetch('https://api.ledgerbeam.com/v1/chats/threads/{thread_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "msg_abc123",
"content": [
{
"type": 1,
"value": "Here are your top customers...",
"meta": {}
}
],
"role": "user",
"meta": {}
}
]{
"error": "Unauthorized access"
}Chat
List Messages
Retrieve all messages in a specific conversation thread
GET
/
chats
/
threads
/
{thread_id}
/
messages
List messages
Overview
Retrieve all messages in a specific conversation thread. Messages are returned in chronological order.Authorizations
API key for authentication
Path Parameters
Thread ID
⌘I

